Subject: Re: New gawk and mawk packages uploaded, finally

From: [email-masked] (Bruce Perens)
Date: Fri, 23 Aug 96 20:35 PDT

From: Richard Kaszeta <[email-masked]>
> Personally, I'd vote for vi before slip and ppp. I still can't
> believe the number of problems I've had with ae (having trusted it
> since it decided I wanted ^Ms in my doc), and how annoying it
> is the number of times things try to call 'ae' unless I remember to
> export EDITOR first.

The problem is that not every user wants "vi" - I think Debian supports
13 editors in all. AE's only virtues are that it is small and can be
understood (and yes, instantly hated) by all users. It's only there to
be used for as long as it takes you to install your favorite editor.

Shouldn't the setting of $EDITOR be in your .login or .profile?

	Thanks

	Bruce